Bug 124684 - cvs pserver fails with IPv6-only hosts
cvs pserver fails with IPv6-only hosts
Product: Fedora
Classification: Fedora
Component: cvs (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-05-28 10:32 EDT by David Woodhouse
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-04 07:39:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2004-05-28 10:32:25 EDT
CVS fails to contact a server which has only AAAA and not A addresses,
because it uses gethostbyname() instead of getaddrinfo().

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. cvs -d :pserver:anoncvs@cvs.infradead.org:/home/cvs co mtd

Actual results:
Unknown host cvs.infradead.org.

Expected results:
It should work. Well, no -- it should fail because xinetd is also
IPv6-challenged and isn't actually listening on cvs.infradead.org at
the moment -- but it should at least _try_ :)
Comment 1 Robert Scheck 2004-10-23 06:51:48 EDT
I guess CVS 1.11.x hasn't andy IPv6 support and a IPv6 patch only will 
work if the (unneeded?) krb4 support is disabled.

Note You need to log in before you can comment on or make changes to this bug.